AT(1)

NOMBRE
at, batch, atq, atrm - encolan, examinan o borran trabajos pendientes de ejecución

SINOPSIS
at [-V] [-q cola] [-f archivo] [-u nombreusuario] [-mMlv] timespec ..."
at [-V] [-q cola] [-f archivo] [-u nombreusuario] [-mMkv] [-t tiempo]
at -c tarea [...]
at [-V] -l [-o formatotiempo] [tarea ...]
at [-V] [-q cola] [-o formatotiempo] [tarea ...]
at [-rd] trabajo [...]
atrm [-V] trabajo [...]
batch
at -b

DESCRIPCIÓN
at y batch leen órdenes desde la entrada estándar o un fichero especificado, los cuales van a ser ejecutados más tarde, utilizando read commands from standard input or a specified file which are to be executed at a later time, using /bin/sh.

at  ejecuta órdenes a una determinada hora.

atq lista los trabajos pendientes del usuario, a no ser que se trate del administrador; en ese caso, se listan las tareas de todo el mundo. El formato de las líneas de salida (una para cada tarea) es: Número de tarea, fecha, hora, cola y nombre de usuario.

atrm
    borra trabajos, identificados por su número.

batch
    ejecuta órdenes cuando lo permite el nivel de carga del sistema; osea, cuando la carga media cae por debajo de 1.5, o del valor especificado en la invocación de atd.

At allows fairly complex time specifications, extending the POSIX.2 standard. It accepts times of the form HH:MM to run a job at a specific time of day. (If that time is already past, the next day is assumed.) You may also specify midnight, noon, or teatime (4pm) and you can have a time-of-day suffixed with AM or PM for running in the morning or the evening. You can also say what day the job will be run, by giving a date in the form month-name day with an optional year, or giving a date of the form MMDD[CC]YY, MM/DD/[CC]YY, DD.MM.[CC]YY or [CC]YY-MM-DD. The specification of a date must follow the specification of the time of day. You can also give times like now + count time-units, where the time-units can be minutes, hours, days, or weeks and you can tell at to run the job today by suffixing the time with today and to run the job tomorrow by suffixing the time with tomorrow.

Por ejemplo, para ejecutar un trabajo a las 4pm dentro de tres días, haríamos at 4pm + 3 days, para ejecutar un trabajo a las 10:00am del 31 de Julio, haríamos at 10am Jul 31 y para ejecutarlo mañana a la 1 de la madrugada, pondríamos at 1am tomorrow.

If you specify a job to absolutely run at a specific time and date in the past, the job will run as soon as possible. For example, if it is 8pm and you do a at 6pm today, it will run more likely at 8:05pm.

La definición de la especificación de hora se puede encontrar en /usr/share/doc/at/timespec.

For both at and batch, commands are read from standard input or the file specified with the -f option and executed. The working directory, the environment (except for the variables BASH_VERSINFO, DISPLAY, EUID, GROUPS, SHELLOPTS, TERM, UID, and _) and the umask are retained from the time of invocation.

As at is currently implemented as a setuid program, other environment variables (e.g., LD_LIBRARY_PATH or LD_PRELOAD) are also not exported. This may change in the future. As a workaround, set these variables explicitly in your job.

Una orden at - o batch - invocada desde un shell su(1) retendrá también el identificador de usuario (userid). El usuario recibirá un correo con la salida de error estándar y la salida estándar de sus órdenes, si hay alguna. El correo se enviará utilizando la orden /usr/sbin/sendmail. Si at se ejecuta desde un shell su(1), el propietario del shell de login será el que reciba el mensaje.

El administrador siempre puede utilizar estas órdenes. Para otros usuarios, los permisos para utilizarlos están definidos en los archivos /etc/at.allow y /etc/at.deny. Consulte at.allow(5) para más detalles.

OPCIONES

-V  muestra el número de versión en la salida de error estándar y termina.

-q cola
    utiliza la cola especificada. Una designación de cola consiste en una única letra; designaciones válidas van desde a hasta z. y A hasta Z. La cola a es la que se usa por defecto para at y la cola b para batch. Las colas con letras posteriores se ejecutan con creciente 'suavidad'. La cola especial "=" está reservada para trabajos que están actualmente en ejecución.

If a job is submitted to a queue designated with an uppercase letter, the job is treated as if it were submitted to batch at the time of the job. Once the time is reached, the batch processing rules with respect to load average apply. If atq is given a specific queue, it will only show jobs pending in that queue.

-m  Envía un correo (mail) al usuario cuando el trabajo termina incluso si no hubiese salida que mostrar.

-M  Never send mail to the user.

-u username
    Sends mail to username rather than the current user.

-f fichero
    Lee el trabajo desde el fichero en lugar de la entrada estándar.

-t time
    run the job at time, given in the format [[CC]YY]MMDDhhmm[.ss]

-l  Es un alias para atq.

-r  Es un alias para atrm.

-d  Es un alias para atrm.

-b  is an alias for batch.

-v  Muestra la hora a la que se ejecutará la tarea antes de leerla.

Times displayed will be in the format "Thu Feb 20 14:50:00 1997".

-c  manda las tareas listadas en la línea de órdenes a la salida estándar.

-o fmt
    strftime-like time format used for the job list

ARCHIVOS
/var/spool/cron/atjobs
/var/spool/cron/atspool
/proc/loadavg
/var/run/utmp
/etc/at.allow
/etc/at.deny

VÉASE TAMBIÉN
at.allow(5), at.deny(5), atd(8), cron(1), nice(1), sh(1), umask(2).

ERRORES
El funcionamiento correcto de batch para Linux depende de la presencia de un directorio del tipo proc- montado en /proc.

Si el fichero /var/run/utmp no está disponible o está corrupto, o si el usuario no tiene una sesión activa en el momento en que at es invocado, el mensaje de correo se envía al identificador de usuario que se encuentre en la variable de entorno LOGNAME. Si ésta está sin definir o vacía, se asume el actual identificador de usuario.

At y batch tal y como están implementados ahora no son satisfactorios cuando los usuarios compiten por los recursos. Si este es su caso, podría querer considerar otro sistema batch, como por ejemplo nqs.

AUTOR
At fue escrito en su mayor parte por Thomas Koenig.

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Julio González Durán <jugonzalez@mx3.redestb.es> y Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.